namespace _2024._09._25
{
    internal class Program
    {
        static void Main(string[] args)
        {
            List<Konyvek> konyvekLista = new List<Konyvek>();
            StreamReader sr = new StreamReader("konyvek.csv");
            string[] line = sr.ReadLine().Split(";");

            while (!sr.EndOfStream)
            {
                line = sr.ReadLine().Split(";");
                Konyvek konyvek = new Konyvek(line[0], line[1], int.Parse(line[2]));
                konyvekLista.Add(konyvek);
            }

            var kiiras1 = konyvekLista.Select(i => i.Cim);
            foreach (var i in kiiras1)
            {
                Console.WriteLine(i);
            }

            var kiiras2 = konyvekLista.Where(i => i.Ar > 2000).Count();
            Console.WriteLine($"Ennyi 2000 Ft feletti könyv van: {kiiras2} db");

            var kiiras3 = konyvekLista.OrderByDescending(i => i.Ar).Take(5);
            foreach (var i in kiiras3)
            {
                Console.WriteLine($"Cím: {i.Cim}, szerző: {i.Szerzo}, ár: {i.Ar} Ft");
            }

        }
    }
}
